CustomEvent

Package | Class | Use | Tree | Serialized | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class CustomEvent

    java.lang.Object
      robocode.Event
          robocode.CustomEvent

All Implemented Interfaces:
  Comparable

public class CustomEvent
extends Event

This event is sent to `onCustomEvent` when a custom condition is met. Be sure to reset or remove the custom condition to avoid having it fire repeatedly.

See Also:
  `getCondition()`

Constructor Summary
`CustomEvent(Condition condition)` Called by the game to create a new CustomEvent when a condition is met.
`CustomEvent(Condition condition, int priority)` Called by the game to create a new CustomEvent when a condition is met.

Method Summary
`Condition` | `getCondition()` Returns the condition that fired, causing this event to be generated.

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomEvent

    public CustomEvent(Condition condition)

  Called by the game to create a new CustomEvent when a condition is met.

### CustomEvent

    public CustomEvent(Condition condition,
                       int priority)

  Called by the game to create a new CustomEvent when a condition is met. The event will have the given priority. This is equivalent to calling setPriority() on the Condition.

Method Detail

### getCondition

    public Condition getCondition()

  Returns the condition that fired, causing this event to be generated. Use this to determine which condition fired, and to remove the custom event.

         public void onCustomEvent(CustomEvent event) {
              if (event.getCondition().getName().equals("mycondition")) {
                  removeCustomEvent(event.getCondition());
                  doSomethingElse();
              }
         }

  Returns:
    the condition that fired, causing this event to be generated.

Package | Class | Use | Tree | Serialized | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD